Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.pdfview.decode
Class CCITTFaxDecode

    java.lang.Object
      com.sun.pdfview.decode.CCITTFaxDecode

    public class CCITTFaxDecode

extends java.lang.Object

Constructor Summary
`CCITTFaxDecode()`

Method Summary
`protected static byte[]` | `decode(PDFObject dict, byte[] source)`
`protected static java.nio.ByteBuffer` | `decode(PDFObject dict, java.nio.ByteBuffer buf, PDFObject params)`
`static boolean` | `getOptionFieldBoolean(PDFObject dict, java.lang.String name, boolean defaultValue)`
`static int` | `getOptionFieldInt(PDFObject dict, java.lang.String name, int defaultValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CCITTFaxDecode

    public CCITTFaxDecode()

Method Detail

### decode

    protected static java.nio.ByteBuffer decode(PDFObject dict,
                                                java.nio.ByteBuffer buf,
                                                PDFObject params)
                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### decode

    protected static byte[] decode(PDFObject dict,
                                   byte[] source)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### getOptionFieldInt

    public static int getOptionFieldInt(PDFObject dict,
                                        java.lang.String name,
                                        int defaultValue)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### getOptionFieldBoolean

    public static boolean getOptionFieldBoolean(PDFObject dict,
                                                java.lang.String name,
                                                boolean defaultValue)
                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD